slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVView

Prints the BV data structure.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVView(BV bv,PetscViewer viewer)

Collective

### Input Parameters

| bv | - the BV context
| viewer | - optional visualization context

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization contexts with PetscViewerASCIIOpen() (output to a specified file).

### See Also

BVCreate()

### Level

beginner

### Location

src/sys/classes/bv/interface/bvfunc.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages